AfterburnerModule (Jackson module: Afterburner 2.9.0 API)
Date: 2017-07-29

com.fasterxml.jackson.module.afterburner

## Class AfterburnerModule

- java.lang.Object
- - com.fasterxml.jackson.databind.Module
  - - com.fasterxml.jackson.module.afterburner.AfterburnerModule

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable

      public class AfterburnerModule
      extends com.fasterxml.jackson.databind.Module
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

      `com.fasterxml.jackson.databind.Module.SetupContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_cfgUseOptimizedBeanDeserializer` Flag to indicate whether we should use an optimized sub-class of `BeanDeserializer` or not.
    `protected boolean` | `_cfgUseValueClassLoader` Flag to indicate whether we will try to load generated classes using same class loader as one that loaded class being accessed or not.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AfterburnerModule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getModuleName()`
    `void` | `setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)`
    `AfterburnerModule` | `setUseOptimizedBeanDeserializer(boolean state)`
    `AfterburnerModule` | `setUseValueClassLoader(boolean state)` Flag to indicate whether we will try to load generated classes using same class loader as one that loaded class being accessed or not.
    `com.fasterxml.jackson.core.Version` | `version()`

    - ### Methods inherited from class com.fasterxml.jackson.databind.Module

      `getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _cfgUseValueClassLoader

          protected boolean _cfgUseValueClassLoader

      Flag to indicate whether we will try to load generated classes using same class loader as one that loaded class being accessed or not. If not, we will use class loader that loaded this module. Benefit of using value class loader is that 'protected' and 'package access' properties can be accessed; otherwise only 'public' properties can be accessed.

      By default this feature is enabled.

    - #### _cfgUseOptimizedBeanDeserializer

          protected boolean _cfgUseOptimizedBeanDeserializer

      Flag to indicate whether we should use an optimized sub-class of `BeanDeserializer` or not. Use of optimized version should further improve performance, but it can be disabled in case it causes issues.

      By default this feature is enabled.

  - ### Constructor Detail

    - #### AfterburnerModule

          public AfterburnerModule()

  - ### Method Detail

    - #### setupModule

          public void setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)

      Specified by:
        `setupModule` in class `com.fasterxml.jackson.databind.Module`

    - #### getModuleName

          public String getModuleName()

      Specified by:
        `getModuleName` in class `com.fasterxml.jackson.databind.Module`

    - #### version

          public com.fasterxml.jackson.core.Version version()

      Specified by:
        `version` in interface `com.fasterxml.jackson.core.Versioned`
      Specified by:
        `version` in class `com.fasterxml.jackson.databind.Module`

    - #### setUseValueClassLoader

          public AfterburnerModule setUseValueClassLoader(boolean state)

      Flag to indicate whether we will try to load generated classes using same class loader as one that loaded class being accessed or not. If not, we will use class loader that loaded this module. Benefit of using value class loader is that 'protected' and 'package access' properties can be accessed; otherwise only 'public' properties can be accessed.

      By default this feature is enabled.

    - #### setUseOptimizedBeanDeserializer

          public AfterburnerModule setUseOptimizedBeanDeserializer(boolean state)

Copyright © 2017 FasterXML. All rights reserved.